/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fydat;

import fydatlib.Latka;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import org.jdom2.JDOMException;

/**
 * Zkušební ladicí main pro třídu Latka
 * @author V.Hlubuček
 */
public class ZkDebug {

    public static void main(String[] args) throws IOException, JDOMException {
        int i, n;
        double t, tC;
        Latka lt; 
        List<Latka> lst;
        lst = Latka.getLatkaList();      // musí být až po get, kdyz je naplněn!
        lt = Latka.getLatka(1);
//        lt = Latka.getLatka(40);        
        System.out.println("lt: " + lt.getCislo() + " " + lt.getNazev());
        System.out.println("Počet položek v listu = " + lst.size());
        // Zobraz seznam neprázdných
        System.out.println("Seznam látek");
//        for (ArrayList ll: lst){
        n=0;    // počítadlo neprázdných látek v bázi
        for (i = 0; i < 20; i++) {
            lt =  lst.get(i);    // jak dostat Látku z listu?
            if (lt.getNazev().equals("") ) continue;
//            System.out.println("* " + lt.getCislo() + " " + lt.getNazev()
//                    + " " + lt.getVzorec() + " " + lt.getSynon());
            System.out.format("* %-3d %-30s  %-10s %-30s%n",lt.getCislo(),lt.getNazev(),
                    lt.getVzorec(),lt.getSynon());
            n++;
        }
        System.out.println("Celkový počet látek v bázi= "+n);
        lt=Latka.getLatka(530);     // získání látky č. 140
        tC=20; t=tC+273.15;
        System.out.format("Látka, Tnbv: %-20s  %-5.1f%n", lt.getNazev(),lt.gettNbv()-273.15);
        System.out.format("Teplota: (K)(°C): %-5.1f  %-5.1f%n",t,t-273.15);
        System.out.format("HustL(kg/m3) %-6.1f%n",lt.hustL(t) );
        System.out.format("CpL(J/mol/K)(J/kg/K) %-7.2f  %-8.2f%n",lt.cpL(t),lt.cpL(t)/lt.getMolHmot() );
        System.out.format("CpG(J/mol/K)(J/kg/K) %-7.2f  %-8.2f%n",lt.cpG(t),lt.cpG(t)/lt.getMolHmot() );
        System.out.format("ViskL(Pa.s) %-10.3g%n",lt.viskL(t) );
        System.out.format("ViskG(Pa.s) %-10.3g%n",lt.viskG(t) );
        System.out.format("VodL(W/m/K) %-10.3g%n",lt.vodL(t) );
        System.out.format("VodG(W/m/K) %-10.3g%n",lt.vodG(t) );
        System.out.format("dHv(J/mol) %-10.3g%n",lt.dHv(t)/lt.getMolHmot() );
        System.out.format("Tenze(Pa) %-10.3g%n",lt.tenze(t) );
        System.out.format("Sigma(N/m) %-10.3g%n",lt.sigma(t) );
//      String  sezn = Latka.seznamLatek();   // funguje

    }
}
