/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fydat;

import cheminzlib.Armatura;
import cheminzlib.CSTRReaktor;
import cheminzlib.Cerpadlo;
import cheminzlib.JDialogElementInp;
import cheminzlib.JDialogProud;
import cheminzlib.JDialogProudInp;
import cheminzlib.Koleno;
import cheminzlib.KonickaTrubka;
import cheminzlib.NahlaZmena;
import cheminzlib.Proud;
import cheminzlib.Schema;
import cheminzlib.SmithBrinkley;
import cheminzlib.Trubka;
import fydatlib.Smes;
import java.io.IOException;
import org.jdom2.JDOMException;

/**
 * Zkušební ladicí program pro proud
 * @author V. Hlubuček
 */
public class ZkProud {

    public static void main(String[] args) throws IOException, JDOMException {
        int n=3;
        boolean kapalina;
        double t, tC, p, pom;       // teplota (K, °C), tlak (Pa)
        double[] x ={1,1,2};
        Smes mySmes = new Smes("Moje",1,140,141);
//        Proud myProud = new Proud(33,"Zkušební proud");
        Proud myProud = new Proud(33,null,null,"Zkušební proud");
        Trubka trub = new Trubka(myProud,"Trubka 1");
        Trubka trub2 = new Trubka(myProud,"Trubka 2a");
        Koleno kol = new Koleno(myProud, 0.03,0.3,90);
//        kol.zadejParametryInteraktivne();    // interaktivně -------------------------        
        NahlaZmena roz = new NahlaZmena(myProud,0.03,0.05);
//        roz.zadejParametryInteraktivne();    // interaktivně -------------------------
        NahlaZmena zuz = new NahlaZmena(myProud,0.05,0.03);
        KonickaTrubka kon = new KonickaTrubka(myProud,0.03,0.05,15);
//        kon.zadejParametryInteraktivne();    // interaktivně -------------------------
        Armatura arm = new Armatura(myProud,0,0.05);
        arm.zadejParametryInteraktivne();    // interaktivně -------------------------
        Armatura arm2 = new Armatura(myProud,1,0.05);
        Armatura arm3 = new Armatura(myProud,2,0.05);
        Armatura arm4 = new Armatura(myProud,5,0.05);
        Cerpadlo cerp = new Cerpadlo(myProud, "K-152");
        mySmes.zadatSloz(true, x); 
        kapalina = true;
        if (kapalina) {
           tC = 70;           // kapalina 70;   parní fáze 120 dvě fáze 99.4 
           myProud.setHmotPrutok(0.99732);    // kapalina
        } else {
           tC = 120;           // kapalina 70;   parní fáze 120 dvě fáze 99.4 
           myProud.setHmotPrutok(0.05);    // parní fáze
        }
        t = tC + 273.15;
        p = 200000;       
        myProud.setSmes(mySmes);
        myProud.setpVstup(p);
        myProud.setpVystup(0.9*p);
        myProud.settVstup(tC);
        myProud.setTisk(true);
        trub.setPrumerTrubky(0.05);
        trub.setDelkaTrubky(10);
        trub.setDrsnost(0.0002);
        trub.setVyskovyRozdil(0.0);
        trub.setAdiab(true); 
        trub.zadejParametryInteraktivne();    // interaktivně -----------------
        trub2.setPrumerTrubky(0.03);
        trub2.setDelkaTrubky(10);
        trub2.setDrsnost(0.00035);
        trub2.setVyskovyRozdil(0.0);
        // přiřazení elementů proudu
        myProud.pridatElement(trub);
        myProud.pridatElement(trub2);
        cerp.zadejParametryInteraktivne();
        myProud.pridatElement(cerp);
        myProud.pridatElement(kol);
        myProud.pridatElement(roz);
        myProud.pridatElement(zuz);
        myProud.pridatElement(kon);
        myProud.pridatElement(arm);
        myProud.pridatElement(arm2);
        myProud.pridatElement(arm3);
        myProud.pridatElement(arm4);
        myProud.zadejParametryInteraktivne();
        pom = myProud.tlakZtrata(); 
//        pom = myProud.dopoctiPrutok();
//        System.out.println("--- "+kol.getReport());
        if (pom > 0) {JDialogProud frmProud = new JDialogProud(null, "muj proud  (Verze " 
                + myProud.getVERZE() + ")\n", myProud);}    // modálně vyskakovací 
//        frmProud.nastavProud(myProud);
    }    
}
