/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package fydat;

import java.awt.Desktop;
import java.io.File;
import java.io.FileWriter;  
import java.io.IOException;  
import org.jdom2.Attribute;  
import org.jdom2.Document;  
import org.jdom2.Element;  
import org.jdom2.output.Format;  
import org.jdom2.output.XMLOutputter;
/**
 * Pokusná třída pro XML data
 * @author V. Hlubucek
 */
public class ZkXML {
        public static void vytvorXML() {
            
            try {
                Element fydat = new Element("fydat");
                Document document = new Document(fydat);
                Element latka = new Element("latka");
                latka.setAttribute(new Attribute("id","1"));
                Element nazev = new Element("nazev").setText("VODA");
                Element molhm = new Element("molhm").setText("0.018");
                Element bodvlast = new Element("bodvlast");
                Element nbv = new Element("nbv").setText("100.0");
                Element index = new Element("index").setText("1.1045");

//                fydat.addContent(latka);
                latka.setAttribute("id", "1");
                latka.addContent(nazev);
                latka.addContent(molhm);
                latka.addContent(bodvlast);
                bodvlast.addContent(nbv);
                bodvlast.addContent(index);
                document.getRootElement().addContent(latka);
                
                latka = new Element("latka");
                latka.setAttribute("id","2");
                nazev = new Element("nazev").setText("ETANOL");
                molhm = new Element("molhm").setText("0.028");
                bodvlast = new Element("bodvlast");
                nbv = new Element("nbv").setText("78.0");
                index = new Element("index").setText("1.0345");

                latka.addContent(nazev);
                latka.addContent(molhm);
                latka.addContent(bodvlast);
                bodvlast.addContent(nbv);
                bodvlast.addContent(index);
                document.getRootElement().addContent(latka);     // může být jen jednou           
                
                XMLOutputter xmlOutput = new XMLOutputter();
                xmlOutput.output(document,System.out);
                xmlOutput.setFormat(Format.getPrettyFormat());  
                xmlOutput.output(document, new FileWriter(  
                 "pokusXml.xml"));                 
            } catch (IOException io) {
                
            }
        }
        public static void main(String[] args) throws IOException {
//        ZkXML.vytvorXML();
            // PDF zobrazení
            String filename = "FYDAT_java.pdf";            
            // Windows řešení only
//            try {

//                    if ((new File(filename)).exists()) {    // "c:\\Java-Interview.pdf"
//
//                            Process p = Runtime
//                               .getRuntime()
//                               .exec("rundll32 url.dll,FileProtocolHandler " + filename);
//                            p.waitFor();
//                    } else {
//                            System.out.println("File is not exists");
//                    }
//                    System.out.println("Done");
//              } catch (Exception ex) {
//                    ex.printStackTrace();
//              }
            // obecné řešení
                try {
 
		File pdfFile = new File(filename);
		if (pdfFile.exists()) {
			if (Desktop.isDesktopSupported()) {
				Desktop.getDesktop().open(pdfFile);
			} else {
				System.out.println("Awt Desktop is not supported!");
			}
		} else {
			System.out.println("File is not exists!");
		}
		System.out.println("Done");
 
              } catch (Exception ex) {
                    ex.printStackTrace();
              }
                        

        //        JOptionPane.showMessageDialog(null,
        //            "XML vytvořen. Končím!",
        //             "XML", JOptionPane.WARNING_MESSAGE);
            }
        }
