/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fydatlib;

/**
 * Událost pro zadání složek. Používá ji JPanelSlozky a JDialogSlozky.<br>
 * Předává Smes, počet složek a pole čísel složek  (stačila by Smes)
 * @author V. Hlubuček
 */
public class SlozkyEvent {
    boolean vybrano = false;
    int nSloz;                  // počet složek vybrané směsi
    int[] por = new int[20];    // pole s čísly složek směsi
    Smes sm;                    // vybraná směs
/**
 * Medoda vrací směs
 * @return Smes sm
 */
    public Smes getSmes() {
        return sm;
    }
/**
 * Metoda nastavuje směs
 * @param sm instance Smes
 */
    public void setSmes(Smes sm) {
        this.sm = sm;
    }
/**
 * Metoda vrací vektor čísel složek směsi
 * @return int[] čísla složek
 */
    public int[] getPor() {
        return por;
    }
/**
 * Nastavuje vektor čísel složek směsi
 * @param por int[]
 */
    public void setPor(int[] por) {
        this.por = por;
    }
/**
 * Metoda vrací true pokud byly složky vybrány
 * @return boolean
 */
    public boolean isVybráno() {
        return vybrano;
    }
/**
 * Nastavení stavu vybrání složek směsi
 * @param vybráno 
 */
    public void setVybráno(boolean vybráno) {
        this.vybrano = vybráno;
    }
/**
 * Metoda vrací počet složek směsi
 * @return 
 */
    public int getnSloz() {
        return nSloz;
    }
/**
 * Nastavuje počet složek směsi
 * @param nSloz 
 */
    public void setnSloz(int nSloz) {
        this.nSloz = nSloz;
    }   
}
