/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fydat;

import cheminzlib.Armatura;
import cheminzlib.JDialogProud;
import cheminzlib.Koleno;
import cheminzlib.KonickaTrubka;
import cheminzlib.NahlaZmena;
import cheminzlib.Proud;
import cheminzlib.SmesovacIdeal;
import cheminzlib.Trubka;
import fydatlib.Smes;
import java.io.IOException;
import org.jdom2.JDOMException;

/**
 * Zkušební pro ladění směšovače
 * @author V. Hlubuček
 */
public class ZkSmesovac {
    
    public static void main(String[] args) throws IOException, JDOMException {
        int n=3;
        double t, tC, p, pom;       // teplota (K, °C), tlak (Pa)
        double[] x ={1,3,3};
        SmesovacIdeal smesovacId = null;
        Smes mySmes = new Smes("Moje",1,140,141);
        Smes mySmes2 = new Smes("Druhá",141,142,143);
//        Proud myProud = new Proud(33,"Zkušební proud");
        Proud myProud = new Proud(33,null,smesovacId,"Zkušební proud");
        Trubka trub = new Trubka(myProud,"Trubka 1");
        Trubka trub2 = new Trubka(myProud,"Trubka 2a");
        Koleno kol = new Koleno(myProud,0.03,0.3,90);
        NahlaZmena roz = new NahlaZmena(myProud,0.03,0.05);
        NahlaZmena zuz = new NahlaZmena(myProud,0.05,0.03);
        KonickaTrubka kon = new KonickaTrubka(myProud,0.03,0.05,15);
        Armatura arm = new Armatura(myProud,0,0.05);
        Armatura arm2 = new Armatura(myProud,1,0.05);
        Armatura arm3 = new Armatura(myProud,2,0.05);
        Armatura arm4 = new Armatura(myProud,5,0.05);
        Proud myProud2 = new Proud(46,null,smesovacId,"Druhý proud");
        Trubka trub21 = new Trubka(myProud,"Trubka 21");
        Trubka trub22 = new Trubka(myProud,"Trubka 22a");        
        tC = 60;           // kapalina 70;   parní fáze 120
        t = tC + 273.15;
        p = 200000;
        mySmes.zadatSloz(true, x);    // složení hmotově    
        mySmes2.zadatSloz(false, x);  // složení molárně      
//        myProud.setHmotPrutok(0.05);    // parní fáze
        myProud.setHmotPrutok(1.0);    // kapalina
        myProud.setSmes(mySmes);
        myProud.setpVstup(p);
        myProud.setpVystup(0.9*p);
        myProud.settVstup(tC);
        myProud2.zadejParametryProudu(46, "Druhý proud", null, smesovacId, 0.5, tC - 30, p);
        myProud2.setSmes(mySmes2);
        myProud2.setpVystup(0.85*p);
        myProud.setTisk(true);
        myProud2.setTisk(true);
        trub.setPrumerTrubky(0.05);
        trub.setDelkaTrubky(10);
        trub.setDrsnost(0.0002);
        trub.setVyskovyRozdil(0.0);
        trub.setAdiab(true);     
        trub2.setPrumerTrubky(0.03);
        trub2.setDelkaTrubky(10);
        trub2.setDrsnost(0.00035);
        trub21.setVyskovyRozdil(0.0);
        trub21.setPrumerTrubky(0.04);
        trub21.setDelkaTrubky(10);
        trub21.setDrsnost(0.0002);
        trub21.setVyskovyRozdil(0.0);
        trub21.setAdiab(true);             
        myProud.pridatElement(trub);
        myProud.pridatElement(trub2);
        myProud.pridatElement(kol);
        myProud.pridatElement(roz);
        myProud.pridatElement(zuz);
        myProud.pridatElement(kon);
        myProud.pridatElement(arm);
        myProud.pridatElement(arm2);
        myProud.pridatElement(arm3);
        myProud.pridatElement(arm4);
        myProud2.pridatElement(trub21);
//        pom = myProud.tlakZtrata();     // spočte tlakovou ztrátu proudu
//        pom = myProud2.tlakZtrata();
        Proud smesnyPr;
        smesovacId = new SmesovacIdeal(2,"Ideální směšovač");
        smesovacId.setZobrazujVysledky(true);   // zobrazí po výpočtu výsledný proud
        smesovacId.pridejProud(myProud);
        smesovacId.pridejProud(myProud2);
        smesnyPr = smesovacId.smisitProudy();
// Takto by zobrazoval výsledky uživatel        
//        JDialogProud frmProud = new JDialogProud(null, "Spojený proud  (Verze " + smesovacId.getVERZE() + ")\n", smesnyPr);    // modálně vyskakovací okno s výsledky
//        smesovacId.zobrazVystupniProud();     // způsob znovuzobrazení výsledků
    }        
}
