/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fydatlib;

/**
 * Dialogové vyskakovací okno pro výběr složek směsi ze seznamu látek
 * v nadřazené složce vyvolá metodu slozkyZadany(e) přes
 * SlozkyListener. Použijte jako:<br>
 * JDialogSlozky frmSlozky = new JDialogSlozky(this);    // modálně vyskakovací<br>
 * Smes s = frmSlozky.getSmes();
 * @author V. Hlubuček  
 */
public class JDialogSlozky extends javax.swing.JDialog {

    String titulek = " Dialog pro výběr složek směsi z nabídky seznamu";
    SlozkyListener listener = new SlozkyListener() {
        @Override
        public void slozkyZadany(SlozkyEvent e) {
//            if (e.vybráno) {
//                dialogSmes = e.getSm(); // proměnné pro VybratSmes
//                nSloz = e.getnSloz();
//                jCisla = e.getPor();
            zavriOkno();
//            }
        }
    };
    /**
     * Creates new form JDialogSlozky - konstruktor dialogu
     * @param parent (většinou this)
     * @param titul textový nadpis okna dialogu
     */
    public JDialogSlozky(java.awt.Frame parent, String titul) {
        super(parent, true);
        initComponents();
        jPanelSlozky1.addSlozkyListener(listener);
        this.setTitle(titul);
        this.setVisible(true);
    }

    /**
     * Creates new form JDialogSlozky - konstruktor dialogu
     * @ param parent (parametr většinou this)
     */
    public JDialogSlozky(java.awt.Frame parent) {
        super(parent, true);
        initComponents();
        jPanelSlozky1.addSlozkyListener(listener);
        this.setVisible(true);
    }    
    /*
     * Zavírá dialogové okno
     */
    public void zavriOkno() {
//        this.setVisible(false);   // zanechává zbytky
        this.dispose();   // lepší než setVisible(false)
//        System.exit(0); // ukončí celou úlohu
    }

/*
*  Umožní nastavit směs přes Frame
* @ param Smes sm - předávaná směs
*/
    public void setSmes(Smes sm) {
        jPanelSlozky1.setSmes(sm);
    }
/*
 *  Vrací načtenou směs
 *  return Smes
 */
    public Smes getSmes() {
        return jPanelSlozky1.getSmes();
    }
/**
 * Přidávání posluchače složek do seznamu
 * @param l 
 */
    public void addSlozkyListener(SlozkyListener l) {   // přenesee pouze na jPanelSlozky
        jPanelSlozky1.addSlozkyListener(l);
    }
/**
 * Odstranění posluchače složek ze seznamu
 * @param l 
 */
    public void removeSlozkyListener(SlozkyListener l) {   // přenesee pouze na jPanelSlozky
        jPanelSlozky1.removeSlozkyListener(l);
    }
/**
 *  Odkaz na použitý zobrazovací panel
 * @return 
 */
    public JPanelSlozky getjPanelSlozky1() {
        return jPanelSlozky1;
    }

/**
 * Metoda vrací titulek dialogového okna
 */
    public String getTitul() {
        return titulek;
    }
/**
 * Metoda nastavuje titulek dialogového okna
 * @param titul 
 */
    public void setTitul(String titul) {
        this.titulek = titul;
        this.setTitle(titul);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanelSlozky1 = new fydatlib.JPanelSlozky();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle(" Dialog pro výběr složek směsi z nabídky seznamu\n");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanelSlozky1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanelSlozky1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private fydatlib.JPanelSlozky jPanelSlozky1;
    // End of variables declaration//GEN-END:variables
}
